<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqCitaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bCitacionBean" type="w83b.w83bBeans.W83bCitacionBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="w83bcnae" type="java.lang.String" />
				
				
		</form-bean>
		<form-bean
				name="w83bFormNuevaCitacion"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bNuevaCitacionBean" type="w83b.w83bBeans.W83bCitacionBean"/>
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="w83bprovinciaOrig" type="java.lang.String"/>
				<form-property name="w83bmunicipioOrig" type="java.lang.String" />
				<form-property name="w83bterritorio" type="java.lang.String"/>
				<form-property name="w83barbitro" type="java.lang.String" />
				<form-property name="w83bprovinciaImpug" type="java.lang.String"/>
				<form-property name="w83bmunicipioImpug" type="java.lang.String" />
				<form-property name="w83bprovinciaSindi" type="java.lang.String"/>
				<form-property name="w83bmunicipioSindi" type="java.lang.String" />
				<form-property name="w83bprovinciaInter" type="java.lang.String"/>
				<form-property name="w83bmunicipioInter" type="java.lang.String" />
				<form-property name="w83btipoVoz" type="java.lang.String" />
				<form-property name="w83bvoz" type="java.lang.String" />
				<form-property name="w83bcnae" type="java.lang.String" />
				<form-property name="w83bsector" type="java.lang.String" />
				<form-property name="w83bregJur" type="java.lang.String" />
				<form-property name="w83bmotivoBaja" type="java.lang.String" />
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				
				
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqImpugnaciones[w83bImpugnacionBean],w83bFormNuevaImpugnacion[w83bNuevaImpugnacionBean]"/>				   
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.Citaciones"/>
				<form-property name="strTitleKey" type="java.lang.String" initial=""/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.utilidades.citaciones"/>								
			
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="w83bListResultado" type="java.util.List"/>
				
				<form-property name="w83bCitacionBean" type="w83b.w83bBeans.W83bCitacionBean"/>
				<form-property name="w83bNuevaCitacionBean" type="w83b.w83bBeans.W83bCitacionBean"/>
				<form-property name="w83bCitacionDetalleBean" type="w83b.w83bBeans.W83bCitacionBean"/>
				
				<form-property name="w83bListaCentroTrabajo" type="java.util.List"/>	
				<form-property name="w83bImpugnacion" type="w83b.w83bBeans.W83bImpugnacionBean"/>	
				
				<form-property name="w83bCitacionTempBean" type="w83b.w83bBeans.W83bCitacionBean"/>
				<form-property name="w83bCitacionesBeanSalida" type="w83b.w83bBeans.W83bCitacionBean"/>
				
				<form-property name="w83bListaCitaciones" type="java.util.List"/>	
				
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>		
				<form-property name="subOpFlag" type="java.lang.String" initial="citaciones"/>
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="w83bprovinciaOrig" type="java.lang.String"/>
				<form-property name="w83bmunicipioOrig" type="java.lang.String" />
				<form-property name="w83bterritorio" type="java.lang.String"/>
				<form-property name="w83barbitro" type="java.lang.String" />
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
				<form-property name="w83btipoVoz" type="java.lang.String" />
				<form-property name="w83bvoz" type="java.lang.String" />
				<form-property name="w83bprovinciaImpug" type="java.lang.String"/>
				<form-property name="w83bmunicipioImpug" type="java.lang.String" />
				
				<form-property name="w83bprovinciaSindi" type="java.lang.String"/>
				<form-property name="w83bmunicipioSindi" type="java.lang.String" />
				
				<form-property name="w83bprovinciaInter" type="java.lang.String"/>
				<form-property name="w83bmunicipioInter" type="java.lang.String" />				
				
				<form-property name="w83bContarCitaciones" type="java.lang.Integer"/>
				
				<form-property name="w83bcnae" type="java.lang.String" />
				<form-property name="mapa" type="java.util.HashMap"/>
				<form-property name="w83bMapaCitaciones" type="java.util.HashMap" />
				<form-property name="w83bMapaCitacionesTemp" type="java.util.HashMap" />
				<form-property name="w83bMapResultadosBean" type="java.util.HashMap" />
				<form-property name="w83bFechaCitacion" type="java.lang.String" />
				<form-property name="w83bListaCitas" type="java.util.List" />
				
				<form-property name="codSelecEdicion" type="java.lang.String"/>	
				<form-property name="w83bPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="w83bListaCod" type="java.util.List"/>	
				<form-property name="w83bRegManual" type="java.lang.String" initial=""/>
				<form-property name="w83bModelo" type="java.lang.String" initial=""/>
				<form-property name="w83bNombresPlantilla" type="java.util.List" />
				<form-property name="w83bPlantillasMap" type="java.util.HashMap" />
				<form-property name="datosSindicato" type="w83b.w83bBeans.W83bSindicatosBean"/>
				<form-property name="w83bCodigo" type="java.lang.String"/>
				<form-property name="w83bIndice" type="java.lang.String"/>
				
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83bInicioCitaciones" forward="paginaInicioCitaciones"/>
		<action
				path ="/w83bInicioBusquedaCitaciones" forward="paginaBusqCitacionesMenu"/>
		<action
				path ="/w83bInicioNuevaCitacion" forward="paginaNuevaCitacion"/>
<!--	DISPATCHES-->

	<action
				path="/w83bDispatch"
				name="w83bFormBusqCitaciones"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioCitaciones.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaCitacionesExcel.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bInicioNuevoCitaciones.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bInicioEdicionCitaciones.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bInicioEdicionCitaciones.do"/>
				<forward
					name="comun.boton.generarEtiquetasCarpetas"
					path="/w83bTablaCitacionesEtiquetas.do"/>
		</action>
		
		
		
		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevaCitacion"
				input="/w83bInicioNuevoCitaciones.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioCitaciones.do"/>
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoCitaciones.do"/>
		</action>
		<action
				path="/w83bDispatchEdicion"
				name="w83bFormNuevaCitacion"
				input="/w83bInicioNuevoCitaciones.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bCitacionesAtrasNuevoEdicion.do"/>
				<forward
					name="comun.boton.guardar"
					path="/w83bEdicionCitaciones.do"/>
				<forward
					name="comun.boton.generarAcuse"
					path="/w83bDetalleAcuseCitacionOI.do"/>
				<forward
					name="comun.boton.generarComunicacion"
					path="/w83bComunicacionCitacionOI.do"/>
				<forward
					name="comun.boton.generarEtiquetas"
					path="/w83bDetalleEtiquetasCitacionOI.do"/>
				<forward
					name="comun.boton.generarCartas"
					path="/w83bDetalleCartasCitacionOI.do"/>
				<forward
					name="comun.comunicaciones.relacionacuses"
					path="/w83bDetalleRelacionAcuseCitacionOI.do"/>
		</action>
		
						
		<action
				path="/w83bDispatchCentroTrabajoAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
					<forward
					name="centroTrabajo"
					path="/w83bReturnNullOP.do"/>
				<forward
					name="citaciones"
					path="/w83bReturnNullOP.do"/>
					
							
		</action>
		<action path="/w83bReturnNullOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bReturnNullAction" 
			 validate="false">
		</action>

		<!-- Operaciones de Paso -->
		<action path="/w83bIrAInicioCitacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCitacionesInicioAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioCitaciones.do"/>
			<forward name="error" path="/w83bInicioCitaciones.do"/>
		</action>
		 
		<action path="/w83bIrABusquedaCitacionesOP" scope="request" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 validate="false"
			 parameter="w83bCargarPlantillaRTFBusqCitacionesOI">
			<forward name="ok" path="/w83bIrABusquedaCitacionesCargadaOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		<action path="/w83bIrABusquedaCitacionesCargadaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCitacionesIraBusquedasAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaCitaciones.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		
		<action path="/w83bCitacionesAtrasNuevoEdicion" 
		name="w83bFormBusqCitaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bCitacionesAtrasNuevoEdicionDispatch.do"/>
		</action>
						
		<action
				path="/w83bCitacionesAtrasNuevoEdicionDispatch"
				scope="request"
				parameter="busqRealizada"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="true"
					path="/w83bBusqCitacionesAtrasPrevio.do"/>
				<forward
					name="false"
					path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		<action path="/w83bBusqCitacionesAtrasPrevio" scope="request" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 validate="false"
			 parameter="w83bCargarPlantillaRTFBusqCitacionesOI">
			<forward name="ok" path="/w83bBusqCitacionesAtras.do"/>
		</action>
		<action path ="/w83bBusqCitacionesAtras" 
			 parameter="w83bBusqCitacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioBusquedaCitaciones.do" />
					<forward name="error" path="/w83bInicioBusquedaCitaciones.do" />
		</action>
		
		<action path ="/w83bDetalleAcuseCitacionOI" 
			 parameter="w83bObtenerDetallesAcuseCitacionOI" 
			 validate="false"  
			 input="/w83bInicioEdicionCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bAcuseCitacionOUT.do" />
					<forward name="error" path="/w83bInicioEdicionCitaciones.do" />
		</action>
		<action path ="/w83bDetalleRelacionAcuseCitacionOI" 
			 parameter="w83bObtenerDetallesAcuseCitacionOI" 
			 validate="false"  
			 input="/w83bInicioEdicionCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRelacionAcuseCitacionOUT.do" />
					<forward name="error" path="/w83bInicioEdicionCitaciones.do" />
		</action>
		
		<action path="/w83bAcuseCitacionOUT" 
		name="w83bFormNuevaCitacion" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bAcuseCitacionAction" 
			 validate="false">
		</action>
		<action path="/w83bRelacionAcuseCitacionOUT" 
		name="w83bFormNuevaCitacion" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bRelacionAcuseCitacionAction" 
			 validate="false">
		</action>
		<action path ="/w83bComunicacionCitacionOI" 
			 parameter="w83bObtenerDetallesComunicacionCitacionOI" 
			 validate="false"  
			 input="/w83bInicioEdicionCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bComunicacionCitacionOUT.do" />
					<forward name="error" path="/w83bInicioEdicionCitaciones.do" />
		</action>
		<action path="/w83bComunicacionCitacionOUT" 
		name="w83bFormNuevaCitacion" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bComunicacionCitacionAction" 
			 validate="false">
					<forward name="ok" path="/w83bGuardarComunicacionCitacionOI.do" />
					<forward name="error" path="/w83bInicioEdicionCitaciones.do" />
		</action>
		<action path="/w83bMostrarComunicacionCitacion" 
		name="w83bFormNuevaCitacion" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bMostrarComunicacionCitacionAction" 
			 validate="false">
		</action>
		<action path ="/w83bDetalleEtiquetasCitacionOI" 
			 parameter="w83bObtenerDetallesAcuseCitacionOI" 
			 validate="false"  
			 input="/w83bInicioEdicionCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEtiquetasCitacionOUT.do" />
					<forward name="error" path="/w83bInicioEdicionCitaciones.do" />
		</action>
		<action path ="/w83bGuardarComunicacionCitacionOI" 
			 parameter="w83bGuardarComunicacionCitacionOI" 
			 validate="false"  
			 input="/w83bInicioEdicionCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bMostrarComunicacionCitacion.do" />
					<forward name="error" path="/w83bInicioEdicionCitaciones.do" />
		</action>
		<action path="/w83bEtiquetasCitacionOUT" 
		name="w83bFormNuevaCitacion" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bEtiquetasCitacionAction" 
			 validate="false">
		</action>
		<action path ="/w83bDetalleCartasCitacionOI" 
			 parameter="w83bObtenerDetallesAcuseCitacionOI" 
			 validate="false"  
			 input="/w83bInicioEdicionCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCartasCitacionOUT.do" />
					<forward name="error" path="/w83bInicioEdicionCitaciones.do" />
		</action>
		<action path="/w83bCartasCitacionOUT" 
		name="w83bFormNuevaCitacion" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCartasCitacionAction" 
			 validate="false">
		</action>
	
		<action path="/w83bContarCitacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bContarCitacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bContarCitaciones.do"/>
		</action>
		<action path="/w83bContarCitacionesOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bContarCitacionesOutOPAction" 
			 validate="false">
		</action>
	
		<action path ="/w83bPaginaNuevoCitaciones" forward="paginaNuevoCitaciones"/>
		
		<action path="/w83bInicioNuevoCitaciones" 
		name="w83bFormBusqCitaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bIrNuevoCitacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaNuevoCitaciones.do"/>
		</action>
		<action path="/w83bInicioEdicionCitaciones" 
		name="w83bFormBusqCitaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bIrEdicionCitacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bObtenerDetallesCitacionOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		
		<action path ="/w83bObtenerDetallesCitacionOI" 
			 parameter="w83bObtenerDetallesCitacionOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDetallesCitacionOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCitaciones.do" />
		</action>
						
		<action path="/w83bDetallesCitacionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bDetalleCitacionOutOPAction" 
			 validate="false">
			<forward name="paginaDetalles" path="/w83bPaginaEdicionCitaciones.do" />
		</action>
		<action path ="/w83bPaginaEdicionCitaciones" forward="paginaEdicionCitaciones"/>
		
		<action path="/w83bTablaCitacionesNuevasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bTablaCitacionesNuevasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaCitacionesNuevasOutOP.do"/>
			<forward name="find" path="/w83bBusqCitacionesNueva.do"/>
			<forward name="edit" path="paginaNuevoCitaciones"/>
			<forward name="outOP" path="/w83bTablaCitacionesNuevasOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		<action path="/w83bTablaCitacionesNuevasOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bTablaCitacionesNuevasOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaCitaciones.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		
		<action path ="/w83bBusqCitacionesNueva" 
			 parameter="w83bBusqCitacionesNuevaOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaCitacionesNuevasOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCitaciones.do" />
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		<action path ="/w83bBusqCitaciones" 
			 parameter="w83bBusqCitacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaCitacionesOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCitaciones.do" />
		</action>
		<action path ="/w83bContarCitaciones" 
			 parameter="w83bContarCitacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bContarCitacionesOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCitaciones.do" />
		</action>
		
		 <action path ="/w83bCitacionBusqCentroTrabajo" 
			 parameter="w83bCitacionBusqCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaCitacionesCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCentroTrabajo.do" />
		</action>
		<!-- Operaciones de Paso -->
		               
		<action path="/w83bObtenerCitacionIndiceOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bObtenerCitacionIndiceOP" 
			 validate="false">
			<forward name="edicion" path="/w83bInicioEdicionCitaciones.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
		
		<action path="/w83bGenericoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bGenericoOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bGenericoErrorOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bGenericoErrorOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bTablaCitacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bTablaCitacionesOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqCitaciones.do"/>
			<forward name="ok" path="/w83bTablaCitacionesOutOP.do"/>
			<forward name="outOP" path="/w83bTablaCitacionesOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitacionesMenu.do"/>
		</action>
		
		<action path="/w83bTablaCitacionesOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bTablaCitacionesOutOPAction" 
			 validate="false">
		</action>	
		<action path="/w83bCargarDatosImpugnacionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCargarDatosImpugnacionOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarDatosImpugnacion.do"/>
		</action>
		<action path="/w83bCargarDatosSindicatosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCargarDatosSindicatosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarDatosSindicatos.do"/>
		</action>
		<action path="/w83bCargarDatosImpugnacionEdicionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCargarDatosImpugnacionOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarDatosImpugnacionEdicion.do"/>
		</action>
		<action path ="/w83bCargarDatosImpugnacion" 
			 parameter="w83bCargarDatosImpugnacionOI" 
			 validate="false" 
			 input="/w83bInicioNuevoCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarDatosImpugnacionOutOP.do" />					
		</action>
		<action path ="/w83bCargarDatosSindicatos" 
			 parameter="w83bCargarDatosSindicatosOI" 
			 validate="false" 
			 input="/w83bInicioNuevoCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarDatosSindicatosOutOP.do" />					
		</action>
		<action path ="/w83bCargarDatosImpugnacionEdicion" 
			 parameter="w83bCargarDatosImpugnacionEdicionOI" 
			 validate="false" 
			 input="/w83bInicioNuevoCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarDatosImpugnacionOutOP.do" />					
		</action>
	
		<action path="/w83bCargarDatosImpugnacionOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCargarDatosImpugnacionOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevoCitaciones.do"/>
		</action>
		
		<action path="/w83bCargarDatosSindicatosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCargarDatosSindicatosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevoCitaciones.do"/>
		</action>
		
		
		<action path="/w83bTablaCitacionesBorrar" scope="request" 
		type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCitacionesBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCitacionesBorrarOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		
		<action path="/w83bCargarCitasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCargarCitasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCitas.do"/>
		</action>
		
		<action path ="/w83bCargarCitas" 
			 parameter="w83bObtenerCitasOI" 
			 validate="false" 
			 input="/w83bInicioNuevoCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCitasOutOP.do" />					
		</action>
		
	
		<action path="/w83bCargarCitasOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCargarCitasOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevoCitaciones.do"/>
		</action>
		
		<action path="/w83bTablaCitacionesBorrar" scope="request" 
		type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bCitacionesBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCitacionesBorrarOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		
				
		<action path ="/w83bCitacionesBorrarOI" 
			 parameter="w83bBorrarCitacionesOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenericoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		<action path="/w83bTablaCitacionesEtiquetas" 
		name="w83bFormBusqCitaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bTablaCitacionesEtiquetasAction" 
			 validate="false">
		</action>	
		<action path="/w83bTablaCitacionesExcel" 
		name="w83bFormBusqCitaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bTablaCitacionesExcelAction" 
			 validate="false">
		</action>
		
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
				
		<action path ="/w83bMovimientoCitaciones" 
			 parameter="w83bMovimientoCitacionesOI" 
			 validate="false" name="w83bFormNuevaCitacion" 
			 input="/w83bInicioNuevoCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioEdicionCitaciones.do" />
					<forward name="error" path="/w83bInicioNuevoCitaciones.do" />
		</action>
		
		<action path="/w83bInicioEdicionCitaciones" 
		name="w83bFormBusqCitaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bCitaciones.W83bIrEdicionCitacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bObtenerDetallesCitacionOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaCitaciones.do"/>
		</action>
		                 
		
		<action path ="/w83bEdicionCitaciones" 
			 parameter="w83bEdicionCitacionesOI" 
			 validate="false" name="w83bFormNuevaCitacion" 
			 input="/w83bInicioEdicionCitaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioEdicionCitaciones.do" />
					<forward name="error" path="/w83bPaginaEdicionCitaciones.do" />
		</action>
		
	
		
		<action path="/w83bInicioUtilidades" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bInicioUtilidades.do">
		</action> 
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		<action path="/w83bIraCentrosTrabajoSubOp" parameter="/centroTrabajoOP/w83bSubOpCentroTrabajoInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/citacionesOP/w83bDispatchCentroTrabajoAtras.do" />
		</action>
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-impugnaciones.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

</struts-config>